Zend Optimizer for PHP 5.3

General discussion on Zend Guard / Optimizer

Re: Zend Optimizer for PHP 5.3

Postby mdsayre on Thu Dec 09, 2010 4:57 pm

nightchiller wrote:Hello,

here a little instruction.

copy the ZendOptimizerPlus.so from ZendServer CE 5.3 to /your/own/path/ZendOptimizerPlus.so

and copy the following code in your php.ini:


Nightchiller,

Is that php 5.3 workaround for optimizer still working for you?

I looked through the code and noticed different paths that point to Server CE. Do you have Zend Server CE running too?

Regards,
Mike
mdsayre
 
Posts: 1
Joined: Thu Dec 09, 2010 4:45 pm

Re: Zend Optimizer for PHP 5.3

Postby kentatzend on Fri Dec 10, 2010 6:41 pm

We've released support for PHP 5.3 so I'd use the official support at this time.
User avatar
kentatzend
 
Posts: 1778
Joined: Thu Dec 11, 2008 1:08 pm

Re: Zend Optimizer for PHP 5.3

Postby jeffshead on Fri Dec 10, 2010 7:08 pm

kentatzend wrote:The Guard run-time for PHP 5.3 will not run PHP 5.2 encoded files. The source files must be re-encoded to run in 5.3.

Is there any way to run pre-5.3.x encoded files on PHP 5.3.x install other than re-encoding them? I do not own the un-encoded source files and the author of the script is not available. This means I cannot update to PHP 5.3.x if there is no workaround. Most aggravating.
jeffshead
 
Posts: 8
Joined: Fri Aug 27, 2010 4:38 am

Re: Zend Optimizer for PHP 5.3

Postby kentatzend on Fri Dec 10, 2010 7:10 pm

Unfortunately no.
User avatar
kentatzend
 
Posts: 1778
Joined: Thu Dec 11, 2008 1:08 pm

Re: Zend Optimizer for PHP 5.3

Postby kotinewtech on Thu Dec 16, 2010 1:41 pm

crovaxthecursed wrote:Hi,

What is 5.3.3RC1? Is it Zend Optimizer that supports PHP 5.3? If yes, where can I download it? At the current moment I am using this
viewtopic.php?f=57&t=1365&start=80#p22073 (loaded using zend_extension=/etc/php5/ZendGuardLoader.so) and that throws the following error:
Fatal error: Incompatible file format: The encoded file has format major ID 1, whereas the Loader expects 4 in ... on line 0

Hi ,

I have same problem with Zend Optimizer please if You have any solution for this Fatal error lat me know.

Thanks in advance..
Koti
kotinewtech
 
Posts: 1
Joined: Thu Dec 09, 2010 12:57 pm

Re: Zend Optimizer for PHP 5.3

Postby kentatzend on Wed Jan 05, 2011 1:07 am

Files to runon PHP 5.3 must be re-encoded from the original source for 5.3. 5.2 encoded files will not run.
User avatar
kentatzend
 
Posts: 1778
Joined: Thu Dec 11, 2008 1:08 pm

Re: Zend Optimizer for PHP 5.3

Postby briann on Thu Mar 10, 2011 4:30 pm

pk_fr_pk wrote:THE only thing I (we?) need is a runtime on php5.3 taht will run old (php4 or php5) encoded files...
the 1 year licence of zend guard says that files encoded during the 1 year period will continue to work later... and I need to run those files on php5.3 servers. and I have no more a licence to re-encode the files and I do not want to pay for that... it is the zend job to provide us an upward compatibility for programs encoded with older versions. as it has always be done before....


Same issue here for a very long time, this is a very aggravating problem. Software we paid for is no longer available nor supported, the company doesnt even exist anymore and the staff involved is MIA. The software won't run on php 5.3 due to Zend; zend doesnt offer any solution either.

The only ~fixI see is trying to find and -pay- a zend decoding service to obtain php source files and hope it might work.

Needless to say, I won't ever be picking any zend encoded software again if there's a version available for ionCube or similar.
briann
 
Posts: 3
Joined: Thu Mar 10, 2011 4:26 pm

Re: Zend Optimizer for PHP 5.3

Postby armandop on Fri Apr 08, 2011 10:03 pm

Has there been any traction on when ZO+ will be available for PHP 5.3?
armandop
 
Posts: 1
Joined: Fri Apr 08, 2011 10:03 pm

Re: Zend Optimizer for PHP 5.3

Postby zvika on Sun Apr 10, 2011 10:26 am

Hi

I wish to conclude (lock) this topic, since some people post diverted issues and some are still trying to find out when Optimizer will be built for PHP 5.3.

Zend Loader, which is provided as standalone for PHP 5.3 and as embedded (optional) component in Zend Server, is the newer Guard runtime for Zend Guard encoded PHP scripts. You can download runtime for Guard and Zend Server from the following download pages:
http://www.zend.com/downloads/

Hope this helps anyone who is still looking in this topic to find out what to install for Zend Guard encoded scripts in PHP 5.3 runtime.

Thank you.
Zvika Dror
Zend Support Team
User avatar
zvika
Zend Global Support
 
Posts: 978
Joined: Sun Dec 14, 2008 9:48 am

Previous

Return to Zend Guard / Optimizer

Who is online

Users browsing this forum: Exabot [Bot] and 3 guests